# Setup Finalization

The following will walk through finalizing setup of the base environment.

``` sh

# Wait for cloud initi to spew to LCD (this will take a minute, it's prepping the initial config and deploying it, including the default user account)

# Login as ubuntu / ubuntu and follow the prompts

sudo -sHu root /bin/bash

# Disable cloud-init as it's unnecessary for the purposes of this project
touch /etc/cloud/cloud-init.disabled
nano -w /boot/firmware/cmdline.txt
    remove console=tty1
systemctl reboot

# Login

sudo -sHu root /bin/bash

# Cleanup timezone
dpkg-reconfigure tzdata

# Full system update
apt update && apt upgrade
systemctl reboot

# Login

sudo -sHu root /bin/bash

# Useful packages
apt install build-essential cmake nano tmux vim htop iotop nload git net-tools

# Raspberry Pi tools
apt install linux-tools-raspi
mkdir /opt/raspberry-pi
cd /opt/raspberry-pi
git clone https://github.com/raspberrypi/userland.git
cd userland
./buildme --aarch64
cat > /etc/profile.d/rpi-tools.sh <<EOF
#!/bin/bash
export PATH="$PATH:/opt/vc/bin"
EOF
cat > /etc/ld.so.conf.d/00-vmcs.conf <<EOF
/opt/vc/lib
EOF
ldconfig

# Finalize basic network config
hostnamectl set-hostname piframe

# Reboot system for all changes to take effect
systemctl reboot

```