#!/bin/bash

echo "**** Building latest PiFrameFleet container ****"
$(pwd)/piframefleet_build.sh

echo "**** Deleting Original Container ****"
sudo docker rm -f piframefleet

echo "**** Running PiFrameFleet ****"
sudo docker run -it \
    --restart unless-stopped \
    --name piframefleet \
    --cap-add=NET_ADMIN \
    --cap-add=SYS_MODULE \
    -e TZ=UTC \
    -e ENABLE_WIREGUARD=false \
    -e ENABLE_SYNCTHING=true \
    -e ENABLE_FILEBROWSER=true \
    -p 51821:51820/udp \
    -p 8384:8384/tcp \
    -p 22000:22000/tcp \
    -p 9191:9191/tcp \
    -v /lib/modules:/lib/modules:ro \
    -v /var/piframefleet/syncthing:/opt/syncthing \
    -v /var/piframefleet/filebrowser:/opt/filebrowser \
    -v /var/piframefleet/ansible:/opt/ansible \
    -v /var/piframefleet/pictures:/opt/pictures \
    piframe/piframefleet:latest
